package com.zeekling.cn.rpc;


import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.ipc.RPC;
import org.apache.hadoop.ipc.Server;

import java.io.IOException;

public class HelloServer implements RPCProtocol {

    @Override
    public String hello(String msg) {
        System.out.println("msg=" + msg);
        return "hello:" + msg;
    }

    public static void main(String[] args) throws IOException {
        Server server = new RPC.Builder(new Configuration())
                .setBindAddress("127.0.0.1")
                .setPort(8888)
                .setProtocol(RPCProtocol.class)
                .setInstance(new HelloServer())
                .build();
        System.out.println("服务器启动");
        server.start();
    }
}
