package com.zeekling.cn.rpc.protobuf;

import java.io.IOException;

import com.zeekling.cn.rpc.protobuf.proto.BusinessService;
import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.ipc.ProtobufRpcEngine;
import org.apache.hadoop.ipc.RPC;

public class Server {

    public static void main(String[] args) throws IOException {
        Configuration conf = new Configuration();
        RPC.setProtocolEngine(conf, BusinessServicePB.class, ProtobufRpcEngine.class);

        RPC.Server server = new RPC.Builder(conf)
                .setProtocol(BusinessServicePB.class)
                .setInstance(BusinessService.BusinessServiceProto.newReflectiveBlockingService(new BusinessServerPBImpl()))
                .setBindAddress("localhost")
                .setPort(12345)
                .build();
        server.start();
    }

}
